> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset timeseries data

> Retrieve a specific asset's timeseries data



## OpenAPI

````yaml GET /metrics/v1/assets/{entityIdentifier}/metrics/{datasetSlug}/time-series
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v1/assets/{entityIdentifier}/metrics/{datasetSlug}/time-series:
    get:
      tags:
        - metrics/assets
      summary: Get asset timeseries data
      description: Retrieve a specific asset's timeseries data
      operationId: getAssetTimeseries
      parameters:
        - description: Entity ID or slug
          in: path
          name: entityIdentifier
          required: true
          schema:
            type: string
            example: bitcoin
            default: bitcoin
        - description: Dataset slug
          in: path
          name: datasetSlug
          required: true
          schema:
            type: string
          example: price
        - description: Time range start
          in: query
          name: start
          schema:
            type: string
            example: '2025-06-01T00:00:00Z'
            default: '2025-06-01T00:00:00Z'
        - description: Time range end
          in: query
          name: end
          schema:
            type: string
            example: '2025-06-07T00:00:00Z'
            default: '2025-06-07T00:00:00Z'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/TimeseriesData'
                  error:
                    type: string
                  metadata:
                    $ref: '#/components/schemas/metricsTimeseriesMetadata'
                required:
                  - data
                type: object
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    TimeseriesData:
      properties:
        points:
          items:
            items: {}
            type: array
          type: array
      required:
        - points
      type: object
    metricsTimeseriesMetadata:
      properties:
        granularity:
          enum:
            - 1m
            - 5m
            - 15m
            - 30m
            - 1h
            - 6h
            - 1d
            - 1w
            - 30d
            - 1q
            - 1y
          type: string
        pointSchemas:
          items:
            $ref: '#/components/schemas/metricsPointSchema'
          type: array
      required:
        - granularity
        - pointSchemas
      type: object
    metricsPointSchema:
      type: object
      description: Schema for metricsPointSchema
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````